> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fivemanage.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve File Metadata

> Get detailed information about a specific file by ID or storage key.
If a custom CDN domain is configured and enabled, the response `url` will use the custom domain and `originalUrl` will contain the default storage URL.



## OpenAPI

````yaml /openapi.json get /v3/file/{path}
openapi: 3.0.0
info:
  description: >-
    This is the API server for Fivemanage, providing endpoints for media
    management, logging, and SDK integration.
  title: Fivemanage API
  termsOfService: https://fivemanage.com/legal/terms-of-service
  contact:
    name: Support
    email: support@fivemanage.com
  version: '1.0'
servers:
  - url: https://api.fivemanage.com/api
security: []
paths:
  /v3/file/{path}:
    get:
      tags:
        - Files
      summary: Retrieve File Metadata
      description: >-
        Get detailed information about a specific file by ID or storage key.

        If a custom CDN domain is configured and enabled, the response `url`
        will use the custom domain and `originalUrl` will contain the default
        storage URL.
      parameters:
        - description: File ID or storage key
          name: '*'
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.FileDetailResponseV3'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.FileDetailResponseV3:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/api.FileItemV3'
        status:
          type: string
    api.ErrorResponse:
      type: object
      properties:
        error:
          type: string
          example: Error message
    api.FileItemV3:
      type: object
      properties:
        filename:
          type: string
        id:
          type: string
        metadata:
          type: object
          additionalProperties: {}
        originalUrl:
          type: string
          example: https://r2.fivemanage.com/23492kdx23121/7F9pGhN8qwErT1vx5aZk.jpg
        size:
          type: integer
        type:
          type: string
        url:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: Authorization
      in: header

````